#define GLOBALS_VARIABLE
#define GLOBALS_API_GPIOMAP
#include "../app_Headers/g_includes.h"  


//-- FT-TM33-G6-canFrame --//

void main(void) {

  bsp_Sys_Init();
  app_Can_IdInit();
  App_Paramer_Init();
//7980
  CS_FRset[0]=0;
  CS_FRset[1]=41;
  CS_FRset[2]=20;
  CS_FRset[3]=13;  //
  CS_FRset[4]=10;
  CS_FRset[5]=8;
  CS_FRset[6]=7;
  CS_FRset[7]=5;
  CS_FRset[8]=5;
  CS_FRset[9]=5;
  CS_FRset[10]=4;
  //CS_FRset[11]=11;
  //CS_FRset[12]=10;
  //CS_FRset[13]=9;
  //CS_FRset[14]=8;
  //CS_FRset[15]=7;
  //CS_FRset[16]=6;
  //CS_FRset[17]=6;
  //CS_FRset[18]=6;
  //CS_FRset[19]=6;
  

  CS_OUT_N=CS_FR=120;
  ZS_OUT_N=ZS_FR=7812;
  //8325
  //13.36,for 800 frequency
  ZS_FRset[0]=0;
  ZS_FRset[1]=400;
  ZS_FRset[2]=175;
  ZS_FRset[3]=110;//3600
  ZS_FRset[4]=85;  //5200
  ZS_FRset[5]=75;//6800
  ZS_FRset[6]=55;//8400
  ZS_FRset[7]=43;//10000
  ZS_FRset[8]=30;
  ZS_FRset[9]=30;
  ZS_FRset[10]=27;
  ZS_FRset[11]=43;
  ZS_FRset[12]=30;
  ZS_FRset[13]=20;
  ZS_FRset[14]=30;
  ZS_FRset[15]=30;
  ZS_FRset[16]=30;
  ZS_FRset[17]=30;
  ZS_FRset[18]=30;
  ZS_FRset[19]=30;
  
  ZS_OUT_N=ZS_FR=120; 
  g_curkeyinput = 1;

  for(;;) { 
  
      gui_LCD_Display();
      //
      app_Can_handle(); 
      GJ_CS10_JS_ECUOUT_N();
      __RESET_WATCHDOG();
      
  } 
}
 







       
 